<?php

namespace HCM\FPA\Services;

use Folha\Entities\FpaItecalcfolha;
use Folha\Entities\FpaTipoassoceve;
use Folha\Entities\FpaTipomoviment;
use HCM\FPA\Repository\FpaitecalcfolhaRepository;
use HCM\Util\Repositories;
use HCM\Util\HCMParameters;
use HCM\Util\DateUtil;
use Doctrine\ORM\EntityManager;
use HCM\Geral\Entity\EstruturamEntity;

class LancamentoEstruturaService {


    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters, FpaitecalcfolhaRepository $fpaitecalcfolhaRepository) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
        $this->fpaitecalcfolhaRepository = $fpaitecalcfolhaRepository;
        $this->FpaItecalcestrut = Repositories::FPA_ITECALCESTRUT;
        $this->_estrutram_entity = new EstruturamEntity($entityManager, $hcmParameters);

    }

    
    public function getValorTotalIncidencias($nrorg, $nrcalculofolha, $dtmescompetenc, $nrestrutlegal, $nrestrutgeren, $arrTipoincide)
    {
        $valorTotal = 0;
        foreach ($arrTipoincide as $nrtipoincide) {
            $valorIncidencia = $this->entityManager->getRepository(Repositories::FPA_ITECALCFOLHA)->retornaTotalIncidCalculoPorEstrut(
                $nrorg, $nrcalculofolha, $nrtipoincide, $nrestrutlegal, $nrestrutgeren, $dtmescompetenc
            );
            $valorTotal += $valorIncidencia;
        }

        return $valorTotal;
    }
    
    public function getEstruturasRelacionadas($nrorg, $tipohierarquia, $nrestruturamsup)
    {
        $estrutura = $this->_estrutram_entity->retornaEstruturaPorNrestruturam($nrorg, $nrestruturamsup);
        $estruturasRelac = $this->entityManager->getRepository(Repositories::ESTRUTURAM)->getEstruturasRelacionadas($nrorg, $nrestruturamsup,$tipohierarquia->getNrtipohierarqorg());
        return $estruturasRelac;
    }
    
    public function insertItem($nrorgultatu, $nrorginclusao, $dtultatu, $dtinclusao, $cdoperultatu, $cdoperinclusao, $nrorg, $nrcalculofolha, $nreventom, $dtocorrencia, $nrtipoestrutura, $nrestruturam, $valorTotal) {
            
        $iteEstrut = new $this->FpaItecalcestrut;
        $dtocorrencia = DateUtil::getDataDeString(substr($dtocorrencia,0, 10));

        $iteEstrut->setCdoperinclusao($cdoperinclusao);
        $iteEstrut->setCdoperultatu($cdoperultatu);
        $iteEstrut->setDtinclusao(DateUtil::getDataDeString(substr($dtinclusao,0, 10)));
        $iteEstrut->setDtocorrencia(DateUtil::truncateData($dtocorrencia));
        $iteEstrut->setDtultatu(DateUtil::getDataDeString(substr($dtultatu,0, 10)));
        $iteEstrut->setNrcalculofolha($nrcalculofolha);
        $iteEstrut->setNrestruturam($nrestruturam);
        $iteEstrut->setNreventom($nreventom);
        $iteEstrut->setNrorg($nrorg);
        $iteEstrut->setNrorginclusao($nrorginclusao);
        $iteEstrut->setNrorgultatu($nrorgultatu);
        $iteEstrut->setNrtipoestrutura($nrtipoestrutura);
        $iteEstrut->setVrlancestrutura($valorTotal);
        
        $iteEstrut->setNritecalcestrut(\HCM\Util\NovoCodigo::geraCodigo($this->hcmParameters->getNrorgTrabalho(), 'FPA_ITECALCESTRUT', 1, 12, true));
        \Setforms2\Shared\Registry::getEntityManager()->persist($iteEstrut);
        \Setforms2\Shared\Registry::getEntityManager()->flush($iteEstrut);
    }
   
   
}