<?php

namespace HCM\Geral\Entity;

use HCM\Util\Repositories;
use HCM\Util\TkEntity;

class GpeCondfispesEntity extends TkEntity
{


    private $_nrOrg;
    private $_nrOrgPadrao;

    public function __construct($entityManager, $hcmParameters){

        parent::__construct(null, $entityManager);
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
        $this->_nrOrg = $hcmParameters->getNrorgTrabalho();
        $this->_nrOrgPadrao = $hcmParameters->getNrorgPadrao();
    }


    /**
     * retorna uma instancia de Condicao Fisica da Pessoa de acordo com o codigo informado
     *
     * @param integer $nrCondicaoFisica Numero da Condicao Fisica.
     *
     * @return GpeCondfispesEntity
     *
     * @author thalesvalias - 24/05/2012
     */
    public function retornaCondicaoFisicaPorCodigo($nrCondicaoFisica) {
        return $this->entityManager->getRepository(Repositories::GPE_CONDFISPES)->retornaCondicaoFisicaPorCodigo(
                $this->_nrOrg, $this->_nrOrgPadrao, $nrCondicaoFisica
            );
    }


}
