-- ============================================================
-- Table: GPE_AGENTENOCIVO
--
-- * Tela de Controle
-- Data/Inclusão
--     - Auditoria
-- Data/Hora Disponibilização
--     - Momento da transmissão do documento
-- Nr Vinculo
--     - Pesquisa de vínculo
-- Nome do Vínculo
--     - Pesquisa de vínculo
-- Tipo de Documento
--     - Pesquisa de tipo de documento'
-- Categoria do Documento
--     - Pesquisa de categoria de documento
-- Status (Assinado/Não Assinado)
--     - Check 'S' ou 'N'
-- ID Documento Certisign
--     - Chave para consulta
-- Link Documento Certisign
--     - Link de direcionamento para fazer a assinatura
-- Hash Documento na GPE_ANEXOS
--     - 
-- Data/Hora da assinatura
--     - Data/Hora da assinatura retornada pela consulta do status
-- ============================================================

CREATE TABLE GPE_INTELETRDIGIT
(
    NRORG NUMBER NOT NULL,
    NRINTELETRDIGIT NUMBER NOT NULL,
    NRPARCNEGOCIO NUMBER NOT NULL,
    NRTIPODOCUMENTO NUMBER NULL,
    NRCATEGDOCUMENTO NUMBER NULL,
    IDSTATUS VARCHAR2(1) DEFAULT 'N' NOT NULL
        CONSTRAINT CKC_IDSTATUS_INTELEDIG CHECK (IDSTATUS IN ('N','S')),
    DSIDDOCUMENTO VARCHAR2(500) NULL,
    DSLINKASSINAT VARCHAR2(500) NULL,
    NRANEXO NUMBER NULL,
    DSPATH VARCHAR2(1000) NULL,
    DTTRANSMISSAO DATE NULL,
    DTASSINATURA DATE NULL,
    IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL
        CONSTRAINT CKC_IDATIVO_INTELEDIG CHECK (IDATIVO IN ('N','S')),
    DTINCLUSAO DATE NOT NULL,
    DTULTATU DATE NULL ,
    NRORGINCLUSAO NUMBER(22) DEFAULT 1 NULL,
    CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL,
    NRORGULTATU NUMBER(22) DEFAULT 1 NULL,
    CDOPERULTATU VARCHAR2(12) DEFAULT '1' NULL,
    CONSTRAINT GPE_INTELETRDIGIT_PK PRIMARY KEY (NRORG, NRINTELETRDIGIT)
)
/

ALTER TABLE GPE_INTELETRDIGIT
    ADD CONSTRAINT FK_INTELEDIG_PARCNEG FOREIGN KEY (NRORG, NRPARCNEGOCIO)
        REFERENCES PARCNEGOCIO (NRORG, NRPARCNEGOCIO)
/

ALTER TABLE GPE_INTELETRDIGIT
    ADD CONSTRAINT FK_INTELEDIG_ANEXO FOREIGN KEY (NRORG, NRANEXO)
        REFERENCES GPE_ANEXOS (NRORG, NRANEXO)
/

ALTER TABLE GPE_INTELETRDIGIT
    ADD CONSTRAINT FK_INTELEDIG_TPDOC FOREIGN KEY (NRORG, NRTIPODOCUMENTO)
        REFERENCES GER_TIPODOCUMENTO (NRORG, NRTIPODOCUMENTO)
/

ALTER TABLE GPE_INTELETRDIGIT
    ADD CONSTRAINT FK_INTELEDIG_CATDOC FOREIGN KEY (NRORG, NRCATEGDOCUMENTO)
        REFERENCES GER_CATEGDOCUMENTO (NRORG, NRCATEGDOCUMENTO)
/