CREATE TABLE ESO_EVENTO (
  NREVENTO NUMBER(10) NOT NULL, 
  DSEVENTO VARCHAR2(4000) , 
  NMEVENTO VARCHAR2(10) , 
  IDGRUPO VARCHAR2(1) , 
  DSVERSAO VARCHAR2(10) NOT NULL, 
  NRORG NUMBER(10) DEFAULT 1 NOT NULL, 
  DTINCLUSAO DATE ,  
  DTULTATU DATE , 
  NRORGINCLUSAO NUMBER(10) DEFAULT 1 NULL, 
  NRORGULTATU NUMBER(10) DEFAULT 1 NULL, 
  CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL, 
  CDOPERULTATU VARCHAR2(12) DEFAULT '1' NULL, 
  IDATIVO VARCHAR2(1) DEFAULT 'S' NULL,
  CONSTRAINT PK_ESO_EVENTO PRIMARY KEY(NREVENTO)
)
/
ALTER TABLE ESO_EVENTO ADD CONSTRAINT CKC_GRUPO_ESO_EVENTO CHECK (IDGRUPO IN ('I','T','P','N'))
/
ALTER TABLE ESO_EVENTO ADD CONSTRAINT CKC_IDATIVO_ESO_EVENTO CHECK (IDATIVO IN ('S','N'))
/
CREATE TABLE ESO_RESUMO (
  NRRESUMO NUMBER(10) NOT NULL, 
  NREVENTO NUMBER(10) , 
  NMREGISTRO VARCHAR2(40) , 
  NMREGISROPAI VARCHAR2(40) , 
  NRNIVEL NUMBER(10) , 
  DSRESUMO VARCHAR2(1000) , 
  DSOCORRENCIA VARCHAR2(10) , 
  DSCHAVE VARCHAR2(100) , 
  DSCONDICAO VARCHAR2(1000) , 
  NRORG NUMBER(10) DEFAULT 1 NOT NULL, 
  DTINCLUSAO DATE , 
  DTULTATU DATE , 
  NRORGINCLUSAO NUMBER(10) DEFAULT 1 NULL, 
  NRORGULTATU NUMBER(10) DEFAULT 1 NULL, 
  CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL, 
  CDOPERULTATU VARCHAR2(12) DEFAULT '1' NULL, 
  IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL,
  CONSTRAINT PK_ESO_RESUMO PRIMARY KEY(NRRESUMO)
)
/
ALTER TABLE ESO_RESUMO ADD CONSTRAINT CKC_IDATIVO_ESO_RESUMO CHECK (IDATIVO IN ('S','N'))
/
CREATE TABLE ESO_REGISTRO (
  NRREGISTRO NUMBER(10) NOT NULL, 
  NREVENTO NUMBER(10) , 
  NRCAMPO NUMBER(10) , 
  NMCAMPO VARCHAR2(40) , 
  NRCAMPOPAI NUMBER(10) , 
  NMCAMPOPAI VARCHAR2(40) , 
  DSELEMENTO VARCHAR2(1) , 
  DSTIPO VARCHAR2(1) , 
  DSOCORRENCIA VARCHAR2(10) , 
  NRTAMANHO NUMBER(10) , 
  NRDECIMAIS NUMBER(10) , 
  DSREGISTRO VARCHAR2(4000) , 
  NRORG NUMBER(10) DEFAULT 1 NOT NULL, 
  DTINCLUSAO DATE , 
  DTULTATU DATE , 
  NRORGINCLUSAO NUMBER(10) DEFAULT 1 NULL, 
  NRORGULTATU NUMBER(10) DEFAULT 1 NULL, 
  CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL, 
  CDOPERULTATU VARCHAR2(12) DEFAULT '1' NULL, 
  IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL,
  CONSTRAINT PK_ESO_REGISTRO PRIMARY KEY(NRREGISTRO)
)
/
ALTER TABLE ESO_REGISTRO ADD CONSTRAINT FKHCM00005EVENTO FOREIGN KEY (NREVENTO) REFERENCES ESO_EVENTO (NREVENTO)
/
ALTER TABLE ESO_REGISTRO ADD CONSTRAINT CKC_IDATIVO_ESO_REGISTRO CHECK (IDATIVO IN ('S','N'))
/
ALTER TABLE ESO_RESUMO ADD CONSTRAINT FKHCM00004EVENTO FOREIGN KEY (NREVENTO) REFERENCES ESO_EVENTO (NREVENTO)
/
CREATE TABLE ESO_ENVIOCADASTROS (
  NRENVIO NUMBER(10) NOT NULL, 
  NREVENTO NUMBER(10) NOT NULL, 
  NRESTRUTURAM NUMBER(10) , 
  NRCHAVE NUMBER(10) , 
  DTMESCOMPETENC DATE , 
  IDEVENTO VARCHAR2(50) , 
  IDOPERACAO VARCHAR2(1) , 
  DTENVIO DATE , 
  DTRESPOSTA DATE , 
  IDSTATUS VARCHAR2(1) , 
  CDERRO VARCHAR2(10) , 
  NRRECIBO VARCHAR2(50) , 
  DSOBSERVACAO VARCHAR2(1000) , 
  DSDIRXMLENV VARCHAR2(100) , 
  DSDIRXMLRETENV VARCHAR2(100) , 
  DSDIRXMLRETPRO VARCHAR2(100) , 
  NRORG NUMBER(10) DEFAULT 1 NOT NULL, 
  IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL, 
  DTINCLUSAO DATE , 
  DTULTATU DATE , 
  NRORGINCLUSAO NUMBER(10) DEFAULT 1 NULL, 
  NRORGULTATU NUMBER(10) DEFAULT 1 NULL, 
  CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL, 
  CDOPERULTATU VARCHAR2(12) DEFAULT '1' NULL,
  CONSTRAINT PK_ESO_ENVIOCAD PRIMARY KEY(NRENVIO)
)